i2p.susi.webmail.encoding

## Interface Encoding

- All Known Implementing Classes:
    Base64, EightBit, HeaderLine, HTML, QuotedPrintable, SevenBit

      public interface Encoding

  Interface to encode/decode content transfer encodings like quoted-printable, base64 etc.
  Author:
    susi

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReadBuffer` | `decode(byte[] in)`
    `ReadBuffer` | `decode(byte[] in, int offset, int length)`
    `ReadBuffer` | `decode(ReadBuffer in)`
    `ReadBuffer` | `decode(String str)`
    `String` | `encode(byte[] in)`
    `String` | `encode(String str)`
    `String` | `getName()`

- - ### Method Detail

    - #### getName

          String getName()

    - #### encode

          String encode(byte[] in)
                        throws EncodingException

      Parameters:
        `in` -
      Returns:
        Encoded string.
      Throws:
        `EncodingException`

    - #### encode

          String encode(String str)
                        throws EncodingException

      Parameters:
        `str` -
      Throws:
        `EncodingException`
      See Also:
        `encode(byte[])`

    - #### decode

          ReadBuffer decode(byte[] in)
                            throws DecodingException

      Parameters:
        `in` -
      Throws:
        `DecodingException`
      See Also:
        `decode(byte[], int, int)`

    - #### decode

          ReadBuffer decode(byte[] in,
                          int offset,
                          int length)
                            throws DecodingException

      Parameters:
        `in` -
        `offset` -
        `length` -
      Returns:
        Output buffer containing decoded String.
      Throws:
        `DecodingException`

    - #### decode

          ReadBuffer decode(String str)
                            throws DecodingException

      Parameters:
        `str` -
      Throws:
        `DecodingException`
      See Also:
        `decode(byte[], int, int)`

    - #### decode

          ReadBuffer decode(ReadBuffer in)
                            throws DecodingException

      Parameters:
        `in` -
      Throws:
        `DecodingException`
      See Also:
        `decode(byte[], int, int)`